Summary:         Gnome Config System
Name:            GConf
Version:         1.0.7
Release:         1
License:         LGPL
Group:           System Environment/Base
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%name/%name-%version.tar.gz
BuildRoot:       %{_tmppath}/%name-%version-root
URL:             http://www.gnome.org
Prereq:          /sbin/install-info
Requires:        glib >= 1.2.0
Requires:        oaf >= 0.3.0
Requires:        gtk+ >= 1.2.0
Requires:        ORBit >= 0.5.0
Requires:        libxml >= 1.8.0
BuildRequires:   oaf-devel >= 0.3.0
BuildRequires:   gtk+-devel >= 1.2.0

%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary:    Gnome Config System development package
Group:      Development/Libraries
Requires:   %name = %version
Requires:   oaf-devel
Requires:   gtk+-devel
PreReq:     /sbin/install-info

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%prep
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
	--libdir=%{_libdir} --datadir=%{_datadir} \
	--includedir=%{_includedir} 
else
    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
	--libdir=%{_libdir} --datadir=%{_datadir} \
	--includedir=%{_includedir} 
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} install 

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/1/path
%config %{_sysconfdir}/gconf/schemas/*.schemas
%dir	%{_sysconfdir}/gconf/gconf.xml.defaults
%dir	%{_sysconfdir}/gconf/gconf.xml.mandatory
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/pkgconfig/*
%{_libdir}/GConf/1/*.so
%dir %{_libdir}/GConf


## /etc/gconf/schemas/desktop.schemas is notably missing;
## it will be shared between versions of GConf, preventing
## simulataneous installation, so maybe should be in 
## a different (minuscule) package.

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/GConf/1/*.a
%{_libdir}/GConf/1/*.la
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4


%changelog
* Mon Sep  3 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- added file locations to the configure and make install lines
- fixed %files section to use rpm file location macros
- used find_lang
- made setup quiet
- reformatted header
- replaced Copyright with License
- fixed Source Line
- fixed BuildRoot
- added BuildRequires

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>
- Created the .spec file
